Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractPrintDialog

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.gui.QWidget
                      com.trolltech.qt.gui.QDialog
                          com.trolltech.qt.gui.QAbstractPrintDialog

All Implemented Interfaces:
  QPaintDeviceInterface, QtJambiInterface

Direct Known Subclasses:
  QPrintDialog

    public abstract class QAbstractPrintDialog

extends QDialog

The `QAbstractPrintDialog` class provides a base implementation for print dialogs used to configure printers.

This class implements getter and setter functions that are used to customize settings shown in print dialogs, but it is not used directly. Use `QPrintDialog` to display a print dialog in your application.

See Also:
  `QPrintDialog`, `QPrinter`, Printing with Qt

Nested Class Summary
`static class` | `QAbstractPrintDialog.PrintDialogOption` Used to specify which parts of the print dialog should be enabled.
`static class` | `QAbstractPrintDialog.PrintDialogOptions` This QFlag class provides flags for the int enum.
`static class` | `QAbstractPrintDialog.PrintRange` Used to specify the print range selection option.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QDialog
`QDialog.DialogCode`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QWidget
`QWidget.RenderFlag, QWidget.RenderFlags`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Field Summary

Fields inherited from class com.trolltech.qt.gui.QDialog
`accepted, finished, rejected`

Fields inherited from class com.trolltech.qt.gui.QWidget
`customContextMenuRequested`

Constructor Summary
`QAbstractPrintDialog(QPrinter printer)` Equivalent to `QAbstractPrintDialog`(`printer`, 0).
`QAbstractPrintDialog(QPrinter printer, QWidget parent)` Constructs an abstract print dialog for `printer` with `parent` as parent widget.

Method Summary
`void` | `addEnabledOption(QAbstractPrintDialog.PrintDialogOption option)` Adds the option `option` to the set of enabled options in this dialog.
`QAbstractPrintDialog.PrintDialogOptions` | `enabledOptions()` Returns the set of enabled options in this dialog.
`abstract int` | `exec()` This virtual function is called to pop up the dialog.
`static QAbstractPrintDialog` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QAbstractPrintDialog instance pointed to by nativePointer
`int` | `fromPage()` Returns the first page to be printed By default, this value is set to 0.
`boolean` | `isOptionEnabled(QAbstractPrintDialog.PrintDialogOption option)` Returns true if the specified `option` is enabled; otherwise returns false
`int` | `maxPage()` Returns the maximum page in the page range.
`int` | `minPage()` Returns the minimum page in the page range.
`QPrinter` | `printer()` Returns the printer that this printer dialog operates on.
`QAbstractPrintDialog.PrintRange` | `printRange()` Returns the print range.
`void` | `setEnabledOptions(QAbstractPrintDialog.PrintDialogOption... options)` Sets the set of options that should be enabled in the print dialog to `options`.
`void` | `setEnabledOptions(QAbstractPrintDialog.PrintDialogOptions options)` Sets the set of options that should be enabled in the print dialog to `options`.
`void` | `setFromTo(int fromPage, int toPage)` Sets the range in the print dialog to be from `fromPage` to `toPage`.
`void` | `setMinMax(int min, int max)` Sets the page range in this dialog to be from `min` to `max`.
`void` | `setPrintRange(QAbstractPrintDialog.PrintRange range)` Sets the print range option in to be `range`.
`int` | `toPage()` Returns the last page to be printed.

Methods inherited from class com.trolltech.qt.gui.QDialog
`accept, adjustPosition, closeEvent, contextMenuEvent, done, eventFilter, isSizeGripEnabled, keyPressEvent, minimumSizeHint, reject, resizeEvent, result, setModal, setResult, setSizeGripEnabled, setVisible, showEvent, sizeHint`

Methods inherited from class com.trolltech.qt.gui.QWidget
`acceptDrops, accessibleDescription, accessibleName, actionEvent, actions, activateWindow, addAction, addActions, adjustSize, autoFillBackground, backgroundRole, baseSize, changeEvent, childAt, childAt, childrenRect, childrenRegion, clearFocus, clearMask, close, contentsRect, contextMenuPolicy, createWinId, cursor, depth, destroy, destroy, destroy, devType, dragEnterEvent, dragLeaveEvent, dragMoveEvent, dropEvent, ensurePolished, enterEvent, event, focusInEvent, focusNextChild, focusNextPrevChild, focusOutEvent, focusPolicy, focusPreviousChild, focusProxy, focusWidget, font, fontInfo, fontMetrics, foregroundRole, frameGeometry, frameSize, geometry, getContentsMargins, grabKeyboard, grabMouse, grabMouse, grabShortcut, grabShortcut, hasFocus, hasMouseTracking, height, heightForWidth, heightMM, hide, hideEvent, inputContext, inputMethodEvent, inputMethodQuery, insertAction, insertActions, isActiveWindow, isAncestorOf, isEnabled, isEnabledTo, isFullScreen, isHidden, isLeftToRight, isMaximized, isMinimized, isModal, isRightToLeft, isVisible, isVisibleTo, isWindow, isWindowModified, keyboardGrabber, keyReleaseEvent, layout, layoutDirection, leaveEvent, locale, logicalDpiX, logicalDpiY, lower, mapFrom, mapFromGlobal, mapFromParent, mapTo, mapToGlobal, mapToParent, mask, maximumHeight, maximumSize, maximumWidth, metric, minimumHeight, minimumSize, minimumWidth, mouseDoubleClickEvent, mouseGrabber, mouseMoveEvent, mousePressEvent, mouseReleaseEvent, move, move, moveEvent, nextInFocusChain, normalGeometry, numColors, overrideWindowFlags, overrideWindowFlags, overrideWindowState, overrideWindowState, paintEngine, paintEvent, paintingActive, palette, parentWidget, physicalDpiX, physicalDpiY, pos, raise, rect, releaseKeyboard, releaseMouse, releaseShortcut, removeAction, render, render, render, render, render, repaint, repaint, repaint, repaint, resetInputContext, resize, resize, restoreGeometry, saveGeometry, scroll, scroll, setAcceptDrops, setAccessibleDescription, setAccessibleName, setAttribute, setAttribute, setAutoFillBackground, setBackgroundRole, setBaseSize, setBaseSize, setContentsMargins, setContentsMargins, setContextMenuPolicy, setCursor, setDisabled, setEnabled, setFixedHeight, setFixedSize, setFixedSize, setFixedWidth, setFocus, setFocus, setFocusPolicy, setFocusProxy, setFont, setForegroundRole, setGeometry, setGeometry, setHidden, setInputContext, setLayout, setLayoutDirection, setLocale, setMask, setMask, setMaximumHeight, setMaximumSize, setMaximumSize, setMaximumWidth, setMinimumHeight, setMinimumSize, setMinimumSize, setMinimumWidth, setMouseTracking, setPalette, setParent, setParent, setParent, setShortcutAutoRepeat, setShortcutAutoRepeat, setShortcutEnabled, setShortcutEnabled, setSizeIncrement, setSizeIncrement, setSizePolicy, setSizePolicy, setStatusTip, setStyle, setStyleSheet, setTabOrder, setToolTip, setUpdatesEnabled, setWhatsThis, setWindowFlags, setWindowFlags, setWindowIcon, setWindowIconText, setWindowModality, setWindowModified, setWindowOpacity, setWindowRole, setWindowState, setWindowState, setWindowTitle, show, showFullScreen, showMaximized, showMinimized, showNormal, size, sizeIncrement, sizePolicy, stackUnder, statusTip, style, styleSheet, tabletEvent, testAttribute, toolTip, underMouse, unsetCursor, unsetLayoutDirection, unsetLocale, update, update, update, update, updateGeometry, updateMicroFocus, updatesEnabled, visibleRegion, whatsThis, wheelEvent, width, widthMM, window, windowFlags, windowIcon, windowIconText, windowModality, windowOpacity, windowRole, windowState, windowTitle, windowType, winId, x, y`

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread, timerEvent`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAbstractPrintDialog

    public QAbstractPrintDialog(QPrinter printer)

  Equivalent to `QAbstractPrintDialog`(`printer`, 0).

### QAbstractPrintDialog

    public QAbstractPrintDialog(QPrinter printer,
                                QWidget parent)

  Constructs an abstract print dialog for `printer` with `parent` as parent widget.

Method Detail

### addEnabledOption

    public final void addEnabledOption(QAbstractPrintDialog.PrintDialogOption option)

  Adds the option `option` to the set of enabled options in this dialog.

  Note that this function has no effect on Mac OS X. See the `QPrintDialog` documentation for more information.

### enabledOptions

    public final QAbstractPrintDialog.PrintDialogOptions enabledOptions()

  Returns the set of enabled options in this dialog.

  See Also:
    `setEnabledOptions`

### fromPage

    public final int fromPage()

  Returns the first page to be printed By default, this value is set to 0.

### isOptionEnabled

    public final boolean isOptionEnabled(QAbstractPrintDialog.PrintDialogOption option)

  Returns true if the specified `option` is enabled; otherwise returns false

### maxPage

    public final int maxPage()

  Returns the maximum page in the page range. By default, this value is set to 1.

### minPage

    public final int minPage()

  Returns the minimum page in the page range. By default, this value is set to 1.

### printRange

    public final QAbstractPrintDialog.PrintRange printRange()

  Returns the print range.

  See Also:
    `setPrintRange`

### printer

    public final QPrinter printer()

  Returns the printer that this printer dialog operates on.

### setEnabledOptions

    public final void setEnabledOptions(QAbstractPrintDialog.PrintDialogOption... options)

  Sets the set of options that should be enabled in the print dialog to `options`.

  Note that this function has no effect on Mac OS X. See the `QPrintDialog` documentation for more information.

  See Also:
    `enabledOptions`

### setEnabledOptions

    public final void setEnabledOptions(QAbstractPrintDialog.PrintDialogOptions options)

  Sets the set of options that should be enabled in the print dialog to `options`.

  Note that this function has no effect on Mac OS X. See the `QPrintDialog` documentation for more information.

  See Also:
    `enabledOptions`

### setFromTo

    public final void setFromTo(int fromPage,
                                int toPage)

  Sets the range in the print dialog to be from `fromPage` to `toPage`.

### setMinMax

    public final void setMinMax(int min,
                                int max)

  Sets the page range in this dialog to be from `min` to `max`. This also enables the `PrintPageRange` option.

### setPrintRange

    public final void setPrintRange(QAbstractPrintDialog.PrintRange range)

  Sets the print range option in to be `range`.

  See Also:
    `printRange`

### toPage

    public final int toPage()

  Returns the last page to be printed. By default, this value is set to 0.

### exec

    public abstract int exec()

  This virtual function is called to pop up the dialog. It must be reimplemented in subclasses.

  Overrides:
    `exec` in class `QDialog`
  See Also:
    `show`, `result`, `setWindowModality`

### fromNativePointer

    public static QAbstractPrintDialog fromNativePointer(QNativePointer nativePointer)

  This function returns the QAbstractPrintDialog instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD